net.fortuna.ical4j.model.component

## Class VVenue

- java.lang.Object
- - net.fortuna.ical4j.model.Component
  - - net.fortuna.ical4j.model.component.CalendarComponent
    - - net.fortuna.ical4j.model.component.VVenue

All Implemented Interfaces:
  Serializable

    public class VVenue
    extends CalendarComponent

$Id $ [Apr 5, 2004] Defines an iCalendar VVENUE component.

     4.  Venue Component

        Component Name: "VVENUE"

        Purpose: Provide a grouping of component properties that describe an
        event venue.

        Format Definition: A "VVENUE" calendar component is defined by the
        following notation:
          venuec  = "BEGIN" ":" "VVENUE" CRLF
                  venueprop
                  "END" ":" "VVENUE" CRLF

          venueprop  = *(

                    ; the following are all REQUIRED,
                    ; but MUST NOT occur more than once

                    uid

                    ; the following are optional,
                    ; but MUST NOT occur more than once

                    name / description / street-address / extended-address /
                    locality / region / country / postal-code / tzid / geo /
                    location-type / categories

                    ; the following are optional,
                    ; and MAY occur more than once

                    tel / url
                  )

        Description: A "VVENUE" calendar component is a grouping of component
        properties that represent a venue where an event occurs.  This
        extends the "LOCATION" property of "VEVENT" and "TODO" components,
        providing the ability to specify detailed information about the event
        venue.

Author:
  Ben Fortuna, Mike Douglass
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.component.CalendarComponent

`EMPTY_VALIDATOR`

### Fields inherited from class net.fortuna.ical4j.model.Component

`AVAILABLE, BEGIN, END, EXPERIMENTAL_PREFIX, VALARM, VAVAILABILITY, VEVENT, VFREEBUSY, VJOURNAL, VTIMEZONE, VTODO, VVENUE`

### Constructor Summary

Constructors
Constructor and Description
`VVenue()` Default constructor.
`VVenue(PropertyList properties)` Constructs a new instance containing the specified properties.

### Method Summary

Methods
`protected Validator` `getValidator(Method method)`
`String` `toString()`
`void` `validate(boolean recurse)` Perform validation on a component.

### Methods inherited from class net.fortuna.ical4j.model.component.CalendarComponent

`validate, validateAdd, validateCancel, validateCounter, validateDeclineCounter, validatePublish, validateRefresh, validateReply, validateRequest`

### Methods inherited from class net.fortuna.ical4j.model.Component

`calculateRecurrenceSet, copy, equals, getName, getProperties, getProperties, getProperty, hashCode, validate, validateProperties`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VVenue

    public VVenue()

Default constructor.

#### VVenue

    public VVenue(PropertyList properties)

Constructs a new instance containing the specified properties.

Parameters:
  `properties` - a list of properties

### Method Detail

#### toString

    public final String toString()

Overrides:
  `toString` in class `Component`

#### validate

    public final void validate(boolean recurse)
                        throws ValidationException

Perform validation on a component.

Specified by:
  `validate` in class `Component`
Parameters:
  `recurse` - indicates whether to validate the component's properties
Throws:
  `ValidationException` - where the component is not in a valid state

#### getValidator

    protected Validator getValidator(Method method)

Specified by:
  `getValidator` in class `CalendarComponent`
Parameters:
  `method` - a method to validate on
Returns:
  a validator for the specified method or null if the method is not supported